function validateEmail(str){
	if(str.length == 0) return -1;
	if(!checkByteLength(str,6,40)) return 1;
	var patn = /^[_a-zA-Z0-9\-]+(\.[_a-zA-Z0-9\-]*)*@[a-zA-Z0-9\-]+([\.][a-zA-Z0-9\-]+)+$/;
	if(!patn.test(str))	return 2;
	return 0;
}

function validateusername(str) {
	if(str.length > 15){
			return 1;
	}
	if(str.length == 0){
			 return -1;
	}
	return 0;
}

function validatePassword(str){
	if(str.length == 0) return -1;
	if(!checkByteLength(str,6,20)) return 1;															
	var patn1 = /[\'\"\\]/;
	if(patn1.test(str) ) return 2;
	return 0; 
}

function checkForm (obj) {
	if(document.getElementById('regrule') && !document.getElementById('regrule').checked) {
		alert('您必须接受注册协议，才能完成注册！');
		return false;
	}
	var username = obj.username.value.trim();
	switch (validateusername(username)) {
	case -1:
		alert('请输入用户名！');
		return false;
		break;
	case 1:
		alert('用户名不能大于15个字符！');
		return false;
		break;
	}
	var email = obj.email.value.trim();
	switch (validateEmail(email)) {
	case -1:
		alert('请输入邮箱地址!');
		return false;
		break;
	case 1:
		alert('邮箱地址字符不能小于6个或大于40个字符!');
		return false;
		break;
	case 2:
		alert('您输入的邮箱地址不正确!');
		return false;
		break;
	}
	var password = obj.password.value;
	switch (validatePassword(password)) {
	case -1:
		alert('请输入密码！');
		return false;
		break;
	case 1:
		alert('密码的长度必须控制在6-20个字符以内！');
		return false;
		break;
	case 2:
		alert('密码空或包含非法字符，请重新填写。');
		return false;
		break;
	}
	var password_s = obj.password_s.value;
	if (password_s!=password) {
		alert('2次输入的密码不一致！');
		return false;
	}
	return true;
}